
	COMMENT ON TYPE box2d IS 'postgis type: Uma caixa composta de x min, ymin, xmax, ymax. Normalmente usada para retornar a caixa 2d enclosing de uma geometria.';

	COMMENT ON TYPE box3d IS 'postgis type: Uma caixa composta de x min, ymin, zmin, xmax, ymax, zmax. Normalmente usada para a extensão 3d de uma geometria ou coleção de geometrias.';

	COMMENT ON TYPE geometry IS 'postgis type: Tipo de dados espaciais planares';

	COMMENT ON TYPE geometry_dump IS 'postgis type: Um tipo de dados espacias com dois campos - geom (possuindo um objeto geométrico) e path[] (uma ordem 1-d possuindo a posição da geometria com o objeto rejeitado).';

	COMMENT ON TYPE geografia IS 'postgis type: Tipo de dado espacial elipsoidal.';

COMMENT ON FUNCTION AddGeometryColumn(varchar , varchar , integer , varchar , integer , boolean ) IS 'args: table_name, column_name, srid, type, dimension, use_typmod=true - Adiciona uma coluna geometria à uma table de atributos existente. Por padrão usa um tipo modificador em vez de restrições. Passa em falso por usar use_typmod para obter uma restrição antiga baseada em comportamento.';
			
COMMENT ON FUNCTION AddGeometryColumn(varchar , varchar , varchar , integer , varchar , integer , boolean ) IS 'args: schema_name, table_name, column_name, srid, type, dimension, use_typmod=true - Adiciona uma coluna geometria à uma table de atributos existente. Por padrão usa um tipo modificador em vez de restrições. Passa em falso por usar use_typmod para obter uma restrição antiga baseada em comportamento.';
			
COMMENT ON FUNCTION AddGeometryColumn(varchar , varchar , varchar , varchar , integer , varchar , integer , boolean ) IS 'args: catalog_name, schema_name, table_name, column_name, srid, type, dimension, use_typmod=true - Adiciona uma coluna geometria à uma table de atributos existente. Por padrão usa um tipo modificador em vez de restrições. Passa em falso por usar use_typmod para obter uma restrição antiga baseada em comportamento.';
			
COMMENT ON FUNCTION DropGeometryColumn(varchar , varchar ) IS 'args: table_name, column_name - Remove uma coluna geometria de uma spatial table.';
			
COMMENT ON FUNCTION DropGeometryColumn(varchar , varchar , varchar ) IS 'args: schema_name, table_name, column_name - Remove uma coluna geometria de uma spatial table.';
			
COMMENT ON FUNCTION DropGeometryColumn(varchar , varchar , varchar , varchar ) IS 'args: catalog_name, schema_name, table_name, column_name - Remove uma coluna geometria de uma spatial table.';
			
COMMENT ON FUNCTION DropGeometryTable(varchar ) IS 'args: table_name - Derruba uma table e todas suas referências em geometry_columns.';
			
COMMENT ON FUNCTION DropGeometryTable(varchar , varchar ) IS 'args: schema_name, table_name - Derruba uma table e todas suas referências em geometry_columns.';
			
COMMENT ON FUNCTION DropGeometryTable(varchar , varchar , varchar ) IS 'args: catalog_name, schema_name, table_name - Derruba uma table e todas suas referências em geometry_columns.';
			
COMMENT ON FUNCTION PostGIS_Extensions_Upgrade() IS 'Upgrades installed postgis packaged extensions (e.g. postgis_sfcgal, postgis_topology, postgis_sfcgal) to latest installed version. Reports full postgis version and build configuration infos after.';
			
COMMENT ON FUNCTION PostGIS_Full_Version() IS 'Relata a versão completa do postgis e constrói informações de configuração.';
			
COMMENT ON FUNCTION PostGIS_GEOS_Version() IS 'Retorna à versão da biblioteca GEOS.';
			
COMMENT ON FUNCTION PostGIS_Liblwgeom_Version() IS 'Returns the version number of the liblwgeom library. This should match the version of PostGIS.';
			
COMMENT ON FUNCTION PostGIS_LibXML_Version() IS 'Retorna à versão da biblioteca libxml2.';
			
COMMENT ON FUNCTION PostGIS_Lib_Build_Date() IS 'Returns build date of the PostGIS library.';
			
COMMENT ON FUNCTION PostGIS_Lib_Version() IS 'Returns the version number of the PostGIS library.';
			
COMMENT ON FUNCTION PostGIS_PROJ_Version() IS 'Retorna à versão da biblioteca do PROJ4.';
			
COMMENT ON FUNCTION PostGIS_Scripts_Build_Date() IS 'Returns build date of the PostGIS scripts.';
			
COMMENT ON FUNCTION PostGIS_Scripts_Installed() IS 'Retorna a versão das scripts do postgis instaladas nesse banco de dados.';
			
COMMENT ON FUNCTION PostGIS_Scripts_Released() IS 'Retorna a versão da script do postgis.sql com o postgis lib instalado.';
			
COMMENT ON FUNCTION PostGIS_Version() IS 'Retorna a versão do POstGIS e compila opções de tempo.';
			
COMMENT ON FUNCTION Populate_Geometry_Columns(boolean ) IS 'args: use_typmod=true - Assegura que as colunas geométricas são definidas com modificadores de tipo ou têm obstáculos espaciais apropriados. Isso garante que serão registrados corretamente na view geometry_columns. Por padrão, irá converter todas as colunas geométricas com nenhum modificador de tipo para os que têm o modificador. para obter esse comportamento antigo use use_typmod=false';
			
COMMENT ON FUNCTION Populate_Geometry_Columns(oid, boolean ) IS 'args: relation_oid, use_typmod=true - Assegura que as colunas geométricas são definidas com modificadores de tipo ou têm obstáculos espaciais apropriados. Isso garante que serão registrados corretamente na view geometry_columns. Por padrão, irá converter todas as colunas geométricas com nenhum modificador de tipo para os que têm o modificador. para obter esse comportamento antigo use use_typmod=false';
			
COMMENT ON FUNCTION UpdateGeometrySRID(varchar , varchar , integer ) IS 'args: table_name, column_name, srid - Atualiza a SRID de todas as características em uma coluna geométrica, geometry_columns metadados e srid. Se foi executado com restrições, elas serão atualizadas com a nova restrição srid. Se a antiga foi executada pelo definição de tipo, ela será alterada.';
			
COMMENT ON FUNCTION UpdateGeometrySRID(varchar , varchar , varchar , integer ) IS 'args: schema_name, table_name, column_name, srid - Atualiza a SRID de todas as características em uma coluna geométrica, geometry_columns metadados e srid. Se foi executado com restrições, elas serão atualizadas com a nova restrição srid. Se a antiga foi executada pelo definição de tipo, ela será alterada.';
			
COMMENT ON FUNCTION UpdateGeometrySRID(varchar , varchar , varchar , varchar , integer ) IS 'args: catalog_name, schema_name, table_name, column_name, srid - Atualiza a SRID de todas as características em uma coluna geométrica, geometry_columns metadados e srid. Se foi executado com restrições, elas serão atualizadas com a nova restrição srid. Se a antiga foi executada pelo definição de tipo, ela será alterada.';
			
COMMENT ON FUNCTION ST_BdPolyFromText(texto , inteiro ) IS 'args: WKT, srid - Constrói um polígono dada uma coleção arbitrária de linestrings fechadas como uma representação de texto de uma multilinestring bem conhecida.';
			
COMMENT ON FUNCTION ST_BdMPolyFromText(text , inteiro ) IS 'args: WKT, srid - Constrói um polígono dada uma coleção arbitrária de linestrings fechadas como uma representação de texto de uma multilinestring bem conhecida.';
			
COMMENT ON FUNCTION ST_Box2dFromGeoHash(text , integer ) IS 'args: geohash, precision=full_precision_of_geohash - Retorna uma CAIXA2D de uma string GeoHash.';
			
COMMENT ON FUNCTION ST_GeogFromText(texto ) IS 'args: EWKT - Retorna um valor de geografia específico de uma representação bem conhecida de texto ou estendida (WKT).';
			
COMMENT ON FUNCTION ST_GeographyFromText(texto ) IS 'args: EWKT - Retorna um valor de geografia específico de uma representação bem conhecida de texto ou estendida (WKT).';
			
COMMENT ON FUNCTION ST_GeogFromWKB(bytea ) IS 'args: wkb - Cria uma ocasião geografia de uma geometria binária bem conhecida (WKB) ou binário estendido bem conhecido (EWKB).';
			
COMMENT ON FUNCTION ST_GeomFromTWKB(bytea ) IS 'args: twkb - Cria uma ocasião de uma TWKB ("Tiny Well-Known Binary") representação de geometria.';
			
COMMENT ON FUNCTION ST_GeomCollFromText(text , inteiro ) IS 'args: WKT, srid - Makes a collection Geometry from collection WKT with the given SRID. If SRID is not given, it defaults to 0.';
			
COMMENT ON FUNCTION ST_GeomCollFromText(texto ) IS 'args: WKT - Makes a collection Geometry from collection WKT with the given SRID. If SRID is not given, it defaults to 0.';
			
COMMENT ON FUNCTION ST_GeomFromEWKB(bytea ) IS 'args: EWKB - Retorna um valor ST_Geometry especifico da representação binária estendida bem conhecida (EWKB).';
			
COMMENT ON FUNCTION ST_GeomFromEWKT(texto ) IS 'args: EWKT - Retorna um valor ST_Geometry especifico da representação de texto estendida bem conhecida (EWKT).';
			
COMMENT ON FUNCTION ST_GeometryFromText(texto ) IS 'args: WKT - Retorna um valor ST_Geometry especifico da representação de texto estendida bem conhecida (EWKT). Isso é um heterônimo para ST_GeomFromText';
			
COMMENT ON FUNCTION ST_GeometryFromText(texto , inteiro ) IS 'args: WKT, srid - Retorna um valor ST_Geometry especifico da representação de texto estendida bem conhecida (EWKT). Isso é um heterônimo para ST_GeomFromText';
			
COMMENT ON FUNCTION ST_GeomFromGeoHash(texto , inteiro ) IS 'args: geohash, precision=full_precision_of_geohash - Retorna uma geometria de uma string GeoHash.';
			
COMMENT ON FUNCTION ST_GeomFromGML(text ) IS 'args: geomgml - Utiliza como entrada uma representação GML de geometria e como saída um objeto de geometria PostGIS';
			
COMMENT ON FUNCTION ST_GeomFromGML(texto , inteiro ) IS 'args: geomgml, srid - Utiliza como entrada uma representação GML de geometria e como saída um objeto de geometria PostGIS';
			
COMMENT ON FUNCTION ST_GeomFromGeoJSON(text ) IS 'args: geomjson - Utiliza como entrada uma representação geojson de uma geometria e como saída um objeto de geometria PostGIS';
			
COMMENT ON FUNCTION ST_GeomFromGeoJSON(json ) IS 'args: geomjson - Utiliza como entrada uma representação geojson de uma geometria e como saída um objeto de geometria PostGIS';
			
COMMENT ON FUNCTION ST_GeomFromGeoJSON(jsonb ) IS 'args: geomjson - Utiliza como entrada uma representação geojson de uma geometria e como saída um objeto de geometria PostGIS';
			
COMMENT ON FUNCTION ST_GeomFromKML(texto ) IS 'args: geomkml - Utiliza como entrada uma representação KML de geometria e como saída um objeto de geometria PostGIS';
			
COMMENT ON FUNCTION ST_GMLToSQL(text ) IS 'args: geomgml - Retorna um valor ST_Geometry específico da representação GML. Esse é um heterônimo para ST_GeomFromGML';
			
COMMENT ON FUNCTION ST_GMLToSQL(text , integer ) IS 'args: geomgml, srid - Retorna um valor ST_Geometry específico da representação GML. Esse é um heterônimo para ST_GeomFromGML';
			
COMMENT ON FUNCTION ST_GeomFromText(texto ) IS 'args: WKT - Retorna um valor ST_Geometry específico da representação de texto bem conhecida (WKT).';
			
COMMENT ON FUNCTION ST_GeomFromText(texto , inteiro ) IS 'args: WKT, srid - Retorna um valor ST_Geometry específico da representação de texto bem conhecida (WKT).';
			
COMMENT ON FUNCTION ST_GeomFromWKB(bytea ) IS 'args: geom - Criar uma geometria exemplo de um representação bem conhecida de geometria binária (WKB) e SRID opcional.';
			
COMMENT ON FUNCTION ST_GeomFromWKB(bytea , inteiro ) IS 'args: geom, srid - Criar uma geometria exemplo de um representação bem conhecida de geometria binária (WKB) e SRID opcional.';
			
COMMENT ON FUNCTION ST_LineFromEncodedPolyline(texto , inteiro ) IS 'args: polyline, precision=5 - Cria uma LineString de uma Encoded Polyline.';
			
COMMENT ON FUNCTION ST_LineFromMultiPoint(geometria ) IS 'args: ummultiponto - Cria uma linestring de um multiponto geométrico.';
			
COMMENT ON FUNCTION ST_LineFromText(texto ) IS 'args: WKT - Faz uma geometria de uma representação WKT com a SRID dada. Se a SRID não for dada, isso leva a 0.';
			
COMMENT ON FUNCTION ST_LineFromText(texto , inteiro ) IS 'args: WKT, srid - Faz uma geometria de uma representação WKT com a SRID dada. Se a SRID não for dada, isso leva a 0.';
			
COMMENT ON FUNCTION ST_LineFromWKB(bytea ) IS 'args: WKB - Faz uma LINESTRING de uma WKB com o SRID dado';
			
COMMENT ON FUNCTION ST_LineFromWKB(bytea , inteiro ) IS 'args: WKB, srid - Faz uma LINESTRING de uma WKB com o SRID dado';
			
COMMENT ON FUNCTION ST_LinestringFromWKB(bytea ) IS 'args: WKB - Faz uma geometria de uma WKB com o SRID dado.';
			
COMMENT ON FUNCTION ST_LinestringFromWKB(bytea , integer ) IS 'args: WKB, srid - Faz uma geometria de uma WKB com o SRID dado.';
			
COMMENT ON FUNCTION ST_MakeBox2D(geometria , geometria ) IS 'args: pointLowLeft, pointUpRight - Cria uma CAIXA2D definida pelos pontos dados das geometrias.';
			
COMMENT ON FUNCTION ST_3DMakeBox(geometry , geometry ) IS 'args: point3DLowLeftBottom, point3DUpRightTop - Cria uma CAIXA2D definida pelos pontos 3d dados das geometrias.';
			
COMMENT ON AGGREGATE ST_MakeLine(geometry) IS 'args: geoms - Cria uma Linestring de ponto, multiponto ou linha das geometrias.';
			
COMMENT ON FUNCTION ST_MakeLine(geometry, geometry) IS 'args: geom1, geom2 - Cria uma Linestring de ponto, multiponto ou linha das geometrias.';
			
COMMENT ON FUNCTION ST_MakeLine(geometry[]) IS 'args: geoms_array - Cria uma Linestring de ponto, multiponto ou linha das geometrias.';
			
COMMENT ON FUNCTION ST_MakeEnvelope(double precision, double precision, double precision, double precision, integer ) IS 'args: xmin, ymin, xmax, ymax, srid=unknown - Cria um polígono retangular formado a partir dos mínimos e máximos dados. Os valores de entrada devem ser em SRS especificados pelo SRID.';
			
COMMENT ON FUNCTION ST_MakePolygon(geometry) IS 'args: linestring - Cria uma polígono formado pela dada shell. As geometrias de entrada devem ser LINESTRINGS fechadas.';
			
COMMENT ON FUNCTION ST_MakePolygon(geometry, geometry[]) IS 'args: outerlinestring, interiorlinestrings - Cria uma polígono formado pela dada shell. As geometrias de entrada devem ser LINESTRINGS fechadas.';
			
COMMENT ON FUNCTION ST_MakePoint(double precision, double precision) IS 'args: x, y - Creates a 2D, 3DZ or 4D point geometry.';
			
COMMENT ON FUNCTION ST_MakePoint(double precision, double precision, double precision) IS 'args: x, y, z - Creates a 2D, 3DZ or 4D point geometry.';
			
COMMENT ON FUNCTION ST_MakePoint(double precision, double precision, double precision, double precision) IS 'args: x, y, z, m - Creates a 2D, 3DZ or 4D point geometry.';
			
COMMENT ON FUNCTION ST_MakePointM(float, float, float) IS 'args: x, y, m - Cria um ponto com uma coordenada x y e m.';
			
COMMENT ON FUNCTION ST_MLineFromText(texto , integer ) IS 'args: WKT, srid - Retorna um valor específico ST_MultiLineString de uma representação WKT.';
			
COMMENT ON FUNCTION ST_MLineFromText(texto ) IS 'args: WKT - Retorna um valor específico ST_MultiLineString de uma representação WKT.';
			
COMMENT ON FUNCTION ST_MPointFromText(text , integer ) IS 'args: WKT, srid - Makes a Geometry from WKT with the given SRID. If SRID is not given, it defaults to 0.';
			
COMMENT ON FUNCTION ST_MPointFromText(text ) IS 'args: WKT - Makes a Geometry from WKT with the given SRID. If SRID is not given, it defaults to 0.';
			
COMMENT ON FUNCTION ST_MPolyFromText(text , inteiro ) IS 'args: WKT, srid - Makes a MultiPolygon Geometry from WKT with the given SRID. If SRID is not given, it defaults to 0.';
			
COMMENT ON FUNCTION ST_MPolyFromText(texto ) IS 'args: WKT - Makes a MultiPolygon Geometry from WKT with the given SRID. If SRID is not given, it defaults to 0.';
			
COMMENT ON FUNCTION ST_Point(float , float ) IS 'args: x_lon, y_lat - Retorna uma ST_Point com os valores de coordenada dados. Heterônimo OGC para ST_MakePoint.';
			
COMMENT ON FUNCTION ST_PointFromGeoHash(texto , inteiro ) IS 'args: geohash, precision=full_precision_of_geohash - Retorna um ponto de uma string GeoHash.';
			
COMMENT ON FUNCTION ST_PointFromText(texto ) IS 'args: WKT - Faz um ponto de um WKT com o SRID dado. Se o SRID não for dado, isso leva a desconhecido.';
			
COMMENT ON FUNCTION ST_PointFromText(texto , inteiro ) IS 'args: WKT, srid - Faz um ponto de um WKT com o SRID dado. Se o SRID não for dado, isso leva a desconhecido.';
			
COMMENT ON FUNCTION ST_GeomFromWKB(bytea ) IS 'args: geom - Faz uma geometria a partir de um WKB com o SRID dado';
			
COMMENT ON FUNCTION ST_GeomFromWKB(bytea , inteiro ) IS 'args: geom, srid - Faz uma geometria a partir de um WKB com o SRID dado';
			
COMMENT ON FUNCTION ST_Polygon(geometry , integer ) IS 'args: aLineString, srid - Retorna um polígono construído de linestring e SRID especificados.';
			
COMMENT ON FUNCTION ST_PolygonFromText(text ) IS 'args: WKT - Makes a Geometry from WKT with the given SRID. If SRID is not given, it defaults to 0.';
			
COMMENT ON FUNCTION ST_PolygonFromText(text , integer ) IS 'args: WKT, srid - Makes a Geometry from WKT with the given SRID. If SRID is not given, it defaults to 0.';
			
COMMENT ON FUNCTION ST_WKBToSQL(bytea ) IS 'args: WKB - Retorna um valor ST_Geometry especifico da representação de texto binário bem conhecida (WKB). Isso é um heterônimo para ST_GeomFromWKB que não pega nenhum srid';
			
COMMENT ON FUNCTION ST_WKTToSQL(texto ) IS 'args: WKT - Retorna um valor ST_Geometry especifico da representação de texto estendida bem conhecida (EWKT). Isso é um heterônimo para ST_GeomFromText';
			
COMMENT ON FUNCTION GeometryType(geometria ) IS 'args: geomA - Retorna o tipo de geometria como uma string. Exemplos: LINESTRING, POLÍGONO, MULTIPOINT, etc.';
			
COMMENT ON FUNCTION ST_Boundary(geometria ) IS 'args: geomA - Retorna o encerramento da borda combinatória dessa geometria.';
			
COMMENT ON FUNCTION ST_CoordDim(geometria ) IS 'args: geomA - Retorna a dimensão da coordenada do valor ST_Geometry.';
			
COMMENT ON FUNCTION ST_Dimension(geometria ) IS 'args: g - A dimensão herdada desse objeto geométrico, o qual deve ser menor ou igual à dimensão coordenada.';
			
COMMENT ON FUNCTION ST_EndPoint(geometria ) IS 'args: g - Retorna ao último ponto de uma LINESTRING ou CIRCULARLINESTRING geometria como um PONTO.';
			
COMMENT ON FUNCTION ST_Envelope(geometria ) IS 'args: g1 - Retorna uma geometria representando a precisão da dobrada (float8) da caixa limitada da geometria fornecida.';
			
COMMENT ON FUNCTION ST_BoundingDiagonal(geometria , booleana ) IS 'args: geom, fits=false - Retorna a diagonal da geometria fornecida da caixa limitada.';
			
COMMENT ON FUNCTION ST_ExteriorRing(geometry ) IS 'args: a_polygon - Retorna uma line string representando o anel exterior da geometria POLÍGONO. Retorna NULA se a geometria não for um polígono. Não funcionará com MULTIPOLÍGONO.';
			
COMMENT ON FUNCTION ST_GeometryN(geometria , inteiro ) IS 'args: geomA, n - Retorna a geometria de 1-base Nth se a geometria é uma GEOMETRYCOLLECTION, (MULTI)POINT, (MULTI)LINESTRING, MULTICURVE ou (MULTI)POLYGON, POLYHEDRALSURFACE. Senão, retorna NULA.';
			
COMMENT ON FUNCTION ST_GeometryType(geometria ) IS 'args: g1 - Retorna o tipo de geometria de valor ST_Geometry.';
			
COMMENT ON FUNCTION ST_InteriorRingN(geometria , inteiro ) IS 'args: a_polygon, n - Retorna o anel linestring Nth interior do polígono. Retorna NULO se a geometria não for um polígono ou o dado N está fora da extensão.';
			
COMMENT ON FUNCTION ST_IsPolygonCCW(geometry) IS 'args: geom - Returns true if all exterior rings are oriented counter-clockwise and all interior rings are oriented clockwise.';
			
COMMENT ON FUNCTION ST_IsPolygonCW(geometry) IS 'args: geom - Returns true if all exterior rings are oriented clockwise and all interior rings are oriented counter-clockwise.';
			
COMMENT ON FUNCTION ST_IsClosed(geometria ) IS 'args: g - Retorna VERDADEIRO se os pontos de começo e fim da LINESTRING são coincidentes. Para superfície poliédrica está fechada (volumétrica).';
			
COMMENT ON FUNCTION ST_IsCollection(geometria ) IS 'args: g - Retorna VERDADEIRO se o argumento é uma coleção (MULTI*, GEOMETRYCOLLECTION, ...)';
			
COMMENT ON FUNCTION ST_IsEmpty(geometria ) IS 'args: geomA - Retorna verdadeiro se essa geometria é uma coleção vazia, polígono, ponto etc.';
			
COMMENT ON FUNCTION ST_IsRing(geometria ) IS 'args: g - Retorna VERDADEIRO se essa LINESTRING for fechada e simples.';
			
COMMENT ON FUNCTION ST_IsSimple(geometria ) IS 'args: geomA - Retorna (VERDADEIRA) se essa geometria não tem nenhum ponto irregular, como auto intersecção ou tangenciação.';
			
COMMENT ON FUNCTION ST_IsValid(geometria ) IS 'args: g - Retorna verdadeira se a ST_Geometry é bem formada.';
			
COMMENT ON FUNCTION ST_IsValid(geometria , inteiro ) IS 'args: g, flags - Retorna verdadeira se a ST_Geometry é bem formada.';
			
COMMENT ON FUNCTION ST_IsValidReason(geometria ) IS 'args: geomA - Retorna texto declarando se uma geometria é válida ou não e se não for válida, uma razão do porquê.';
			
COMMENT ON FUNCTION ST_IsValidReason(geometria , inteiro ) IS 'args: geomA, flags - Retorna texto declarando se uma geometria é válida ou não e se não for válida, uma razão do porquê.';
			
COMMENT ON FUNCTION ST_IsValidDetail(geometry ) IS 'args: geom - Retorna uma fila valid_detail (válida, motivo, localização) se uma geometria é válida ou não e, se não for, uma razão do porquê e uma localização.';
			
COMMENT ON FUNCTION ST_IsValidDetail(geometria , inteiro ) IS 'args: geom, flags - Retorna uma fila valid_detail (válida, motivo, localização) se uma geometria é válida ou não e, se não for, uma razão do porquê e uma localização.';
			
COMMENT ON FUNCTION ST_M(geometria ) IS 'args: a_point - Retorna a coordenada M do ponto, ou NULA se não estiver disponível. Entrada deve ser um ponto.';
			
COMMENT ON FUNCTION ST_NDims(geometria ) IS 'args: g1 - Retorna a dimensão coordenada da geometria como uma small int. Os valores são: 2, 3 ou 4.';
			
COMMENT ON FUNCTION ST_NPoints(geometria ) IS 'args: g1 - Retorna o número de pontos (vértices) em uma geometria.';
			
COMMENT ON FUNCTION ST_NRings(geometria ) IS 'args: geomA - Se a geometria for um polígono ou multi polígono, retorna o número de anéis.';
			
COMMENT ON FUNCTION ST_NumGeometries(geometria ) IS 'args: geom - Se a geometria é uma GEOMETRYCOLLECTION (ou MULTI*), retorna o número de geometria, para geometrias únicas retornará 1, senão retorna NULO.';
			
COMMENT ON FUNCTION ST_NumInteriorRings(geometria ) IS 'args: a_polygon - Retorna o número de anéis interiores de um polígono.';
			
COMMENT ON FUNCTION ST_NumInteriorRing(geometria ) IS 'args: a_polygon - Retorna o número de anéis interiores de um polígono na geometria. Sinônimo para ST_NumInteriorRings.';
			
COMMENT ON FUNCTION ST_NumPatches(geometria ) IS 'args: g1 - Retorna o número de faces em uma superfícies poliédrica. Retornará nulo para geometrias não poliédricas.';
			
COMMENT ON FUNCTION ST_NumPoints(geometria ) IS 'args: g1 - Retorna o número de pontos em um valor ST_LineString ou ST_CircularString.';
			
COMMENT ON FUNCTION ST_PatchN(geometria , inteiro ) IS 'args: geomA, n - Retorna a geometria (face) de 1-base Nth se a geometria é uma POLYHEDRALSURFACE, POLYHEDRALSURFACEM. Senão, retorna NULA.';
			
COMMENT ON FUNCTION ST_PointN(geometria , inteiro ) IS 'args: a_linestring, n - Retorna o ponto Nth na primeira linestring ou linestring circular na geometria. Valores negativos são contados tardiamente do fim da linestring. Retorna NULA se não há uma linestring na geometria.';
			
COMMENT ON FUNCTION ST_Points(geometria) IS 'args: geom - Retorna uma multilinestring contendo todas as coordenadas de uma geometria.';
			
COMMENT ON FUNCTION ST_SRID(geometria ) IS 'args: g1 - Retorna o identificador de referência espacial para a ST_Geometry como definido na table spatial_ref_sys.';
			
COMMENT ON FUNCTION ST_StartPoint(geometria ) IS 'args: geomA - Retorna ao último ponto de uma LINESTRING geometria como um PONTO.';
			
COMMENT ON FUNCTION ST_Summary(geometria ) IS 'args: g - Retorna um texto resumo dos conteúdos da geometria.';
			
COMMENT ON FUNCTION ST_Summary(geografia ) IS 'args: g - Retorna um texto resumo dos conteúdos da geometria.';
			
COMMENT ON FUNCTION ST_X(geometria) IS 'args: a_point - Retorna a coordenada X do ponto, ou NULA se não estiver disponível. Entrada deve ser um ponto.';
			
COMMENT ON FUNCTION ST_XMax(box3d ) IS 'args: aGeomorBox2DorBox3D - Retorna o X máximo de uma caixa limitante 2d ou 3d ou uma geometria.';
			
COMMENT ON FUNCTION ST_XMin(box3d ) IS 'args: aGeomorBox2DorBox3D - Retorna o X mínimo de uma caixa limitante 2d ou 3d ou uma geometria.';
			
COMMENT ON FUNCTION ST_Y(geometria) IS 'args: a_point - Retorna a coordenada Y do ponto, ou NULA se não estiver disponível. Entrada deve ser um ponto.';
			
COMMENT ON FUNCTION ST_YMax(box3d ) IS 'args: aGeomorBox2DorBox3D - Retorna o Y máximo de uma caixa limitante 2d ou 3d ou uma geometria.';
			
COMMENT ON FUNCTION ST_YMin(box3d ) IS 'args: aGeomorBox2DorBox3D - Retorna o Y mínimo de uma caixa limitante 2d ou 3d ou uma geometria.';
			
COMMENT ON FUNCTION ST_Z(geometria ) IS 'args: a_point - Retorna a coordenada Z do ponto, ou NULA se não estiver disponível. Entrada deve ser um ponto.';
			
COMMENT ON FUNCTION ST_ZMax(box3d ) IS 'args: aGeomorBox2DorBox3D - Retorna o Z mínimo de uma caixa limitante 2d ou 3d ou uma geometria.';
			
COMMENT ON FUNCTION ST_Zmflag(geometria ) IS 'args: geomA - Retorna a bandeira ZM (dimensão semântica) das geometrias como uma small int. Os valores são: 0=2d, 1=3dm, 2=3dz, 3=4d.';
			
COMMENT ON FUNCTION ST_ZMin(box3d ) IS 'args: aGeomorBox2DorBox3D - Retorna o Z mínimo de uma caixa limitante 2d ou 3d ou uma geometria.';
			
COMMENT ON FUNCTION ST_AddPoint(geometry, geometry) IS 'args: linestring, point - Adicione um ponto para uma LineString.';
			
COMMENT ON FUNCTION ST_AddPoint(geometry, geometry, integer) IS 'args: linestring, point, position - Adicione um ponto para uma LineString.';
			
COMMENT ON FUNCTION ST_Affine(geometry , float , float , float , float , float , float , float , float , float , float , float , float ) IS 'args: geomA, a, b, c, d, e, f, g, h, i, xoff, yoff, zoff - Aplique uma 3a transformação afim em uma geometria.';
			
COMMENT ON FUNCTION ST_Affine(geometry , float , float , float , float , float , float ) IS 'args: geomA, a, b, d, e, xoff, yoff - Aplique uma 3a transformação afim em uma geometria.';
			
COMMENT ON FUNCTION ST_Force2D(geometry ) IS 'args: geomA - Força a geometria para o modo de 2 dimensões.';
			
COMMENT ON FUNCTION ST_Force3D(geometry ) IS 'args: geomA - Força a geometria para um modo XYZ. Este é um apelido para a função ST_Force_3DZ.';
			
COMMENT ON FUNCTION ST_Force3DZ(geometry ) IS 'args: geomA - Força as geometrias para o modo XYZ.';
			
COMMENT ON FUNCTION ST_Force3DM(geometry ) IS 'args: geomA - Força as geometrias para o modo XYM.';
			
COMMENT ON FUNCTION ST_Force4D(geometry ) IS 'args: geomA - Força as geometrias para o modo XYZM.';
			
COMMENT ON FUNCTION ST_ForcePolygonCCW(geometry) IS 'args: geom - Orients all exterior rings counter-clockwise and all interior rings clockwise.';
			
COMMENT ON FUNCTION ST_ForceCollection(geometry ) IS 'args: geomA - Converte a geometria para um GEOMETRYCOLLECTION.';
			
COMMENT ON FUNCTION ST_ForcePolygonCW(geometry) IS 'args: geom - Orients all exterior rings clockwise and all interior rings counter-clockwise.';
			
COMMENT ON FUNCTION ST_ForceSFS(geometry ) IS 'args: geomA - Força as geometrias a utilizarem os tipos disponíveis na especificação SFS 1.1.';
			
COMMENT ON FUNCTION ST_ForceSFS(geometry , text ) IS 'args: geomA, version - Força as geometrias a utilizarem os tipos disponíveis na especificação SFS 1.1.';
			
COMMENT ON FUNCTION ST_ForceRHR(geometry) IS 'args: g - Força a orientação dos vértices em um polígono a seguir a regra da mão direita.';
			
COMMENT ON FUNCTION ST_ForceCurve(geometry) IS 'args: g - Converte para cima uma geometria para seu tipo curvo, se aplicável.';
			
COMMENT ON FUNCTION ST_LineMerge(geometry ) IS 'args: amultilinestring - Retorna um (conjunto de) LineString(s), costuradas em uma MULTILINESTRING.';
			
COMMENT ON FUNCTION ST_CollectionExtract(geometry , integer ) IS 'args: collection, type - Dada uma (multi)geometria, retorna uma (multi)geometria consistida apenas por elementos do tipo especificado.';
			
COMMENT ON FUNCTION ST_CollectionHomogenize(geometry ) IS 'args: collection - Dada uma coleção geométrica, retorna a representação "mais simples" dos conteúdos.';
			
COMMENT ON FUNCTION ST_Multi(geometry ) IS 'args: g1 - Restitui a geometria como uma MULTI* geometria.';
			
COMMENT ON FUNCTION ST_Normalize(geometry ) IS 'args: geom - Retorna a geometria na sua forma canônica.';
			
COMMENT ON FUNCTION ST_QuantizeCoordinates(geometry, int, int, int, int) IS 'args: g, prec_x, prec_y, prec_z, prec_m - Sets least significant bits of coordinates to zero';
			
COMMENT ON FUNCTION ST_RemovePoint(geometry, integer) IS 'args: linestring, offset - Remove um ponto de uma linestring.';
			
COMMENT ON FUNCTION ST_Reverse(geometry ) IS 'args: g1 - Retorna a geometria com a ordem dos vértices revertida.';
			
COMMENT ON FUNCTION ST_Rotate(geometry, float) IS 'args: geomA, rotRadians - Rotaciona uma geometria em rotRadians em sentido anti-horário de sua origem.';
			
COMMENT ON FUNCTION ST_Rotate(geometry, float, float, float) IS 'args: geomA, rotRadians, x0, y0 - Rotaciona uma geometria em rotRadians em sentido anti-horário de sua origem.';
			
COMMENT ON FUNCTION ST_Rotate(geometry, float, geometry) IS 'args: geomA, rotRadians, pointOrigin - Rotaciona uma geometria em rotRadians em sentido anti-horário de sua origem.';
			
COMMENT ON FUNCTION ST_RotateX(geometry, float) IS 'args: geomA, rotRadians - Rotaciona uma geometria rotRadians em cima do eixo X.';
			
COMMENT ON FUNCTION ST_RotateY(geometry, float) IS 'args: geomA, rotRadians - Rotaciona uma geometria rotRadians em cima do eixo Y.';
			
COMMENT ON FUNCTION ST_RotateZ(geometry, float) IS 'args: geomA, rotRadians - Rotaciona uma geometria rotRadians em cima do eixo Z.';
			
COMMENT ON FUNCTION ST_Scale(geometry , float, float, float) IS 'args: geomA, XFactor, YFactor, ZFactor - Escala uma geometria pelos fatores dados.';
			
COMMENT ON FUNCTION ST_Scale(geometry , float, float) IS 'args: geomA, XFactor, YFactor - Escala uma geometria pelos fatores dados.';
			
COMMENT ON FUNCTION ST_Scale(geometry , geometry) IS 'args: geom, factor - Escala uma geometria pelos fatores dados.';
			
COMMENT ON FUNCTION ST_Scale(geometry , geometry, geometry) IS 'args: geom, factor, origin - Escala uma geometria pelos fatores dados.';
			
COMMENT ON FUNCTION ST_Segmentize(geometry , float ) IS 'args: geom, max_segment_length - Retorna uma geometria/geografia alterada não tendo nenhum segmento maior que a distância dada.';
			
COMMENT ON FUNCTION ST_Segmentize(geography , float ) IS 'args: geog, max_segment_length - Retorna uma geometria/geografia alterada não tendo nenhum segmento maior que a distância dada.';
			
COMMENT ON FUNCTION ST_SetPoint(geometry, integer, geometry) IS 'args: linestring, zerobasedposition, point - Substitui ponto de uma linestring com um dado ponto.';
			
COMMENT ON FUNCTION ST_SetSRID(geometry , integer ) IS 'args: geom, srid - Configure SRID em uma geometria para um valor inteiro específico.';
			
COMMENT ON FUNCTION ST_SnapToGrid(geometry , float , float , float , float ) IS 'args: geomA, originX, originY, sizeX, sizeY - Rompe todos os pontos da geometria de entrada para uma rede regular.';
			
COMMENT ON FUNCTION ST_SnapToGrid(geometry , float , float ) IS 'args: geomA, sizeX, sizeY - Rompe todos os pontos da geometria de entrada para uma rede regular.';
			
COMMENT ON FUNCTION ST_SnapToGrid(geometry , float ) IS 'args: geomA, size - Rompe todos os pontos da geometria de entrada para uma rede regular.';
			
COMMENT ON FUNCTION ST_SnapToGrid(geometry , geometry , float , float , float , float ) IS 'args: geomA, pointOrigin, sizeX, sizeY, sizeZ, sizeM - Rompe todos os pontos da geometria de entrada para uma rede regular.';
			
COMMENT ON FUNCTION ST_Snap(geometry , geometry , float ) IS 'args: input, reference, tolerance - Rompe segmentos e vértices de geometria de entrada para vértices de uma geometria de referência.';
			
COMMENT ON FUNCTION ST_Transform(geometry , integer ) IS 'args: g1, srid - Retorna uma nova geometria com suas coordenadas transformadas em diferentes referências espaciais.';
			
COMMENT ON FUNCTION ST_Transform(geometry , text ) IS 'args: geom, to_proj - Retorna uma nova geometria com suas coordenadas transformadas em diferentes referências espaciais.';
			
COMMENT ON FUNCTION ST_Transform(geometry , text , text ) IS 'args: geom, from_proj, to_proj - Retorna uma nova geometria com suas coordenadas transformadas em diferentes referências espaciais.';
			
COMMENT ON FUNCTION ST_Transform(geometry , text , integer ) IS 'args: geom, from_proj, to_srid - Retorna uma nova geometria com suas coordenadas transformadas em diferentes referências espaciais.';
			
COMMENT ON FUNCTION ST_Translate(geometry , float , float ) IS 'args: g1, deltax, deltay - Translação de uma geometria pelos dados deslocamentos.';
			
COMMENT ON FUNCTION ST_Translate(geometry , float , float , float ) IS 'args: g1, deltax, deltay, deltaz - Translação de uma geometria pelos dados deslocamentos.';
			
COMMENT ON FUNCTION ST_TransScale(geometry , float, float, float, float) IS 'args: geomA, deltaX, deltaY, XFactor, YFactor - Translada uma geometria dando coeficientes e deslocamentos.';
			
COMMENT ON FUNCTION ST_AsBinary(geometry ) IS 'args: g1 - Retorna a representação do binário bem conhecido (WKB) da geometria/geografia sem os meta dados SRID.';
			
COMMENT ON FUNCTION ST_AsBinary(geometry , text ) IS 'args: g1, NDR_or_XDR - Retorna a representação do binário bem conhecido (WKB) da geometria/geografia sem os meta dados SRID.';
			
COMMENT ON FUNCTION ST_AsBinary(geography ) IS 'args: g1 - Retorna a representação do binário bem conhecido (WKB) da geometria/geografia sem os meta dados SRID.';
			
COMMENT ON FUNCTION ST_AsBinary(geography , text ) IS 'args: g1, NDR_or_XDR - Retorna a representação do binário bem conhecido (WKB) da geometria/geografia sem os meta dados SRID.';
			
COMMENT ON FUNCTION ST_AsEncodedPolyline(geometry, integer ) IS 'args: geom, precision=5 - Retorna uma Polilinha Encoded de uma geometria LineString.';
			
COMMENT ON FUNCTION ST_AsEWKB(geometry ) IS 'args: g1 - Retorna a representação binária bem conhecida (WKB) da geometria com os meta dados SRID.';
			
COMMENT ON FUNCTION ST_AsEWKB(geometry , text ) IS 'args: g1, NDR_or_XDR - Retorna a representação binária bem conhecida (WKB) da geometria com os meta dados SRID.';
			
COMMENT ON FUNCTION ST_AsEWKT(geometry ) IS 'args: g1 - Retorna a representação de texto bem conhecida (WKT) da geometria com os meta dados SRID.';
			
COMMENT ON FUNCTION ST_AsEWKT(geography ) IS 'args: g1 - Retorna a representação de texto bem conhecida (WKT) da geometria com os meta dados SRID.';
			
COMMENT ON FUNCTION ST_AsGeoJSON(geometry , integer , integer ) IS 'args: geom, maxdecimaldigits=15, options=0 - Retorna a geometria com um elemento GeoJSON.';
			
COMMENT ON FUNCTION ST_AsGeoJSON(geography , integer , integer ) IS 'args: geog, maxdecimaldigits=15, options=0 - Retorna a geometria com um elemento GeoJSON.';
			
COMMENT ON FUNCTION ST_AsGeoJSON(integer , geometry , integer , integer ) IS 'args: gj_version, geom, maxdecimaldigits=15, options=0 - Retorna a geometria com um elemento GeoJSON.';
			
COMMENT ON FUNCTION ST_AsGeoJSON(integer , geography , integer , integer ) IS 'args: gj_version, geog, maxdecimaldigits=15, options=0 - Retorna a geometria com um elemento GeoJSON.';
			
COMMENT ON FUNCTION ST_AsGML(geometry , integer , integer ) IS 'args: geom, maxdecimaldigits=15, options=0 - Retorna a geometria como uma versão GML com 2 ou 3 elementos.';
			
COMMENT ON FUNCTION ST_AsGML(geography , integer , integer ) IS 'args: geog, maxdecimaldigits=15, options=0 - Retorna a geometria como uma versão GML com 2 ou 3 elementos.';
			
COMMENT ON FUNCTION ST_AsGML(integer , geometry , integer , integer , text , text ) IS 'args: version, geom, maxdecimaldigits=15, options=0, nprefix=null, id=null - Retorna a geometria como uma versão GML com 2 ou 3 elementos.';
			
COMMENT ON FUNCTION ST_AsGML(integer , geography , integer , integer , text , text ) IS 'args: version, geog, maxdecimaldigits=15, options=0, nprefix=null, id=null - Retorna a geometria como uma versão GML com 2 ou 3 elementos.';
			
COMMENT ON FUNCTION ST_AsHEXEWKB(geometry , text ) IS 'args: g1, NDRorXDR - Retorna uma geometria no formato HEXEWKB (como texto) usando little-endian (NDR) ou big-endian (XDR) encoding.';
			
COMMENT ON FUNCTION ST_AsHEXEWKB(geometry ) IS 'args: g1 - Retorna uma geometria no formato HEXEWKB (como texto) usando little-endian (NDR) ou big-endian (XDR) encoding.';
			
COMMENT ON FUNCTION ST_AsKML(geometry , integer ) IS 'args: geom, maxdecimaldigits=15 - Retorna a geometria como um elemento KML. Muitas variantes. Versão padrão=2, precisão padrão=15';
			
COMMENT ON FUNCTION ST_AsKML(geography , integer ) IS 'args: geog, maxdecimaldigits=15 - Retorna a geometria como um elemento KML. Muitas variantes. Versão padrão=2, precisão padrão=15';
			
COMMENT ON FUNCTION ST_AsKML(integer , geometry , integer , text ) IS 'args: version, geom, maxdecimaldigits=15, nprefix=NULL - Retorna a geometria como um elemento KML. Muitas variantes. Versão padrão=2, precisão padrão=15';
			
COMMENT ON FUNCTION ST_AsKML(integer , geography , integer , text ) IS 'args: version, geog, maxdecimaldigits=15, nprefix=NULL - Retorna a geometria como um elemento KML. Muitas variantes. Versão padrão=2, precisão padrão=15';
			
COMMENT ON FUNCTION ST_AsLatLonText(geometry , text ) IS 'args: pt, format='' - Retorna a representação de Graus, Minutos, Segundos do ponto dado.';
			
COMMENT ON FUNCTION ST_AsSVG(geometry , integer , integer ) IS 'args: geom, rel=0, maxdecimaldigits=15 - Retorna uma geometria em dados SVG path, dado um objeto de geometria ou geografia.';
			
COMMENT ON FUNCTION ST_AsSVG(geography , integer , integer ) IS 'args: geog, rel=0, maxdecimaldigits=15 - Retorna uma geometria em dados SVG path, dado um objeto de geometria ou geografia.';
			
COMMENT ON FUNCTION ST_AsBinary(geometry ) IS 'args: g1 - Retorna a representação de texto bem conhecida (WKT) da geometria/geografia sem os meta dados do SRID.';
			
COMMENT ON FUNCTION ST_AsBinary(geometry , text ) IS 'args: g1, NDR_or_XDR - Retorna a representação de texto bem conhecida (WKT) da geometria/geografia sem os meta dados do SRID.';
			
COMMENT ON FUNCTION ST_AsBinary(geography ) IS 'args: g1 - Retorna a representação de texto bem conhecida (WKT) da geometria/geografia sem os meta dados do SRID.';
			
COMMENT ON FUNCTION ST_AsBinary(geography , text ) IS 'args: g1, NDR_or_XDR - Retorna a representação de texto bem conhecida (WKT) da geometria/geografia sem os meta dados do SRID.';
			
COMMENT ON FUNCTION ST_AsTWKB(geometry , integer , integer , integer , boolean , boolean ) IS 'args: g1, decimaldigits_xy=0, decimaldigits_z=0, decimaldigits_m=0, include_sizes=false, include_bounding boxes=false - Retorna a geometria como TWKB, também conhecido como "Tiny Well-Known Binary"';
			
COMMENT ON FUNCTION ST_AsTWKB(geometry[] , bigint[] , integer , integer , integer , boolean , boolean ) IS 'args: geometries, unique_ids, decimaldigits_xy=0, decimaldigits_z=0, decimaldigits_m=0, include_sizes=false, include_bounding_boxes=false - Retorna a geometria como TWKB, também conhecido como "Tiny Well-Known Binary"';
			
COMMENT ON FUNCTION ST_AsX3D(geometry , integer , integer ) IS 'args: g1, maxdecimaldigits=15, options=0 - Retorna uma geometria em X3D nó xml formato do elemento: ISO-IEC-19776-1.2-X3DEncodings-XML';
			
COMMENT ON FUNCTION ST_GeoHash(geometry , integer ) IS 'args: geom, maxchars=full_precision_of_point - Retorna uma representação GeoHash da geometria.';
			
COMMENT ON AGGREGATE ST_AsGeobuf(anyelement) IS 'args: row - Return a Geobuf representation of a set of rows.';
			
COMMENT ON FUNCTION ST_AsGeobuf(anyelement , text ) IS 'args: row, geom_name - Return a Geobuf representation of a set of rows.';
			
COMMENT ON FUNCTION () IS 'Transform a geometry into the coordinate space of a Mapbox Vector Tile.';
			
COMMENT ON FUNCTION ST_AsKML(geometry , integer ) IS 'args: geom, maxdecimaldigits=15 - Return a Mapbox Vector Tile representation of a set of rows.';
			
COMMENT ON FUNCTION ST_AsKML(geography , integer ) IS 'args: geog, maxdecimaldigits=15 - Return a Mapbox Vector Tile representation of a set of rows.';
			
COMMENT ON FUNCTION ST_AsKML(integer , geometry , integer , text ) IS 'args: version, geom, maxdecimaldigits=15, nprefix=NULL - Return a Mapbox Vector Tile representation of a set of rows.';
			
COMMENT ON FUNCTION ST_AsKML(integer , geography , integer , text ) IS 'args: version, geog, maxdecimaldigits=15, nprefix=NULL - Return a Mapbox Vector Tile representation of a set of rows.';
			
COMMENT ON FUNCTION ST_3DClosestPoint(geometry , geometry ) IS 'args: g1, g2 - Retorna o ponto 3 dimensional em g1 que é o mais próximo de g2. Este é o primeiro ponto da linha mais curta em três dimensões.';
			
COMMENT ON FUNCTION ST_3DDistance(geometry , geometry ) IS 'args: g1, g2 - Para tipo geometria, retorna a menor distância cartesiana 3-dimensional (baseado no sistema de referência espacial) entre duas geometrias em unidades projetadas.';
			
COMMENT ON FUNCTION ST_3DDWithin(geometry , geometry , double precision ) IS 'args: g1, g2, distance_of_srid - Para tipo de geometria 3d (z) verdadeiro se a distância entre duas geometrias 3d está dentro de números de unidades.';
			
COMMENT ON FUNCTION ST_3DDFullyWithin(geometry , geometry , double precision ) IS 'args: g1, g2, distance - Retorna verdade se todas as geometrias 3D estiverem dentro da distância especificada de um outro.';
			
COMMENT ON FUNCTION ST_3DIntersects(geometry, geometry) IS 'args: geomA, geomB - Retorna VERDADE se as geometrias "intersectadas espacialmente" em 3d - somente para pontos, linestrings, polígonos, superfícies poliédricas (área). Com o backend SFCGAL ativado, também suporta TINS';
			
COMMENT ON FUNCTION ST_3DLongestLine(geometry , geometry ) IS 'args: g1, g2 - Retorna a linha 3-dimensional mais longa entre duas geometrias';
			
COMMENT ON FUNCTION ST_3DMaxDistance(geometry , geometry ) IS 'args: g1, g2 - Para tipo de geometria retorna a maior distância 3-dimensional cartesiana (baseada na referência espacial) entre duas geometrias em unidade projetadas.';
			
COMMENT ON FUNCTION ST_3DShortestLine(geometry , geometry ) IS 'args: g1, g2 - Retorna a menor linha 3-dimensional entre duas geometrias';
			
COMMENT ON FUNCTION ST_Area(geometry ) IS 'args: g1 - Retorna a área da superfície se ela for um polígono ou multipolígono. Para geometria, uma área cartesiana 2D é determinada com unidades especificadas pelo SRID. Para geografia, a área é determinada em uma superfície com unidades em metros quadrados.';
			
COMMENT ON FUNCTION ST_Area(geography , boolean ) IS 'args: geog, use_spheroid=true - Retorna a área da superfície se ela for um polígono ou multipolígono. Para geometria, uma área cartesiana 2D é determinada com unidades especificadas pelo SRID. Para geografia, a área é determinada em uma superfície com unidades em metros quadrados.';
			
COMMENT ON FUNCTION ST_Azimuth(geometria , geometria ) IS 'args: pointA, pointB - Retorna o azimute baseado em norte como o ângulo em radianos medidos em sentido horário da vertical no pontoA para o pontoB.';
			
COMMENT ON FUNCTION ST_Azimuth(geografia , geografia ) IS 'args: pointA, pointB - Retorna o azimute baseado em norte como o ângulo em radianos medidos em sentido horário da vertical no pontoA para o pontoB.';
			
COMMENT ON FUNCTION ST_Angle(geometry , geometry , geometry , geometry ) IS 'args: point1, point2, point3, point4 - Returns the angle between 3 points, or between 2 vectors (4 points or 2 lines).';
			
COMMENT ON FUNCTION ST_Angle(geometry , geometry ) IS 'args: line1, line2 - Returns the angle between 3 points, or between 2 vectors (4 points or 2 lines).';
			
COMMENT ON FUNCTION ST_Centroid(geometry ) IS 'args: g1 - Retorna o centro geométrico de uma geometria.';
			
COMMENT ON FUNCTION ST_Centroid(geography , boolean ) IS 'args: g1, use_spheroid=true - Retorna o centro geométrico de uma geometria.';
			
COMMENT ON FUNCTION ST_ClosestPoint(geometria , geometria ) IS 'args: g1, g2 - Retorna o ponto 2-dimensional no g1 que está mais perto de g2. Este é o primeiro ponto da enor linha.';
			
COMMENT ON FUNCTION ST_ClusterDBSCAN(geometria winset , float8 , inteiro ) IS 'args: geom, eps, minpoints - Função do Windows que retorna id inteira para o grupo que cada geometria de entrada está, baseada na implementação 2D de agrupamento de densidade espacial de aplicações com algorítimo barulhento (DBSCAN).';
			
COMMENT ON AGGREGATE ST_ClusterIntersecting(geometry) IS 'args: g - Agregado. Retorna um arranjo com os componentes conectados de um conjunto de geometrias';
			
COMMENT ON FUNCTION ST_ClusterKMeans(geometria winset , inteiro ) IS 'args: geom, number_of_clusters - Função do Windows que retorna id inteira para o grupo que cada geometria de entrada está.';
			
COMMENT ON AGGREGATE ST_ClusterWithin(geometry, float8 ) IS 'args: g, distância - Agregado. Retorna um arranjo de coleções de geometrias, onde cada coleção representa um conjunto de geometrias separados por nada mais que a distância especificada.';
			
COMMENT ON FUNCTION ST_Contains(geometria , geometria ) IS 'args: geomA, geomB - Retorna verdade se nenhum ponto de B estiverem no exterior de A, e pelo menos um ponto do interior de B estiver no interior de A.';
			
COMMENT ON FUNCTION ST_ContainsProperly(geometry , geometry ) IS 'args: geomA, geomB - Retorna verdade se B intersecta o interior de A, mas não o limite (ou exterior). A não se contém propriamente, mas se contém.';
			
COMMENT ON FUNCTION ST_Covers(geometry , geometry ) IS 'args: geomA, geomB - Retorna 1 (VERDADE) se nenhum ponto na geometria B estiver fora da geometria A';
			
COMMENT ON FUNCTION ST_Covers(geography , geography ) IS 'args: geogpolyA, geogpointB - Retorna 1 (VERDADE) se nenhum ponto na geometria B estiver fora da geometria A';
			
COMMENT ON FUNCTION ST_CoveredBy(geometry , geometry ) IS 'args: geomA, geomB - Retorna 1 (VERDADE) se nenhum ponto na geometria/geografia A estiver fora da geometria/geografia B';
			
COMMENT ON FUNCTION ST_CoveredBy(geography , geography ) IS 'args: geogA, geogB - Retorna 1 (VERDADE) se nenhum ponto na geometria/geografia A estiver fora da geometria/geografia B';
			
COMMENT ON FUNCTION ST_Crosses(geometry , geometry ) IS 'args: g1, g2 - Retorna TRUE se as geometrias fornecidas têm alguns, não todos, pontos em comum.';
			
COMMENT ON FUNCTION ST_LineCrossingDirection(geometry , geometry ) IS 'args: linestringA, linestringB - Dadas as 2 linestrings, retorna um número entre -3 e 3 indicando qual tipo de comportamento de travessia. 0 não é travessia.';
			
COMMENT ON FUNCTION ST_Disjoint(geometry, geometry) IS 'args: A, B - Retorna VERDADE se as geometrias não se "intersectam espacialmente" - se elas não dividem nenhum espaço.';
			
COMMENT ON FUNCTION ST_Distance(geometry , geometry ) IS 'args: g1, g2 - For geometry type returns the 2D Cartesian distance between two geometries in projected units (based on spatial reference system). For geography type defaults to return minimum geodesic distance between two geographies in meters.';
			
COMMENT ON FUNCTION ST_Distance(geography , geography ) IS 'args: gg1, gg2 - For geometry type returns the 2D Cartesian distance between two geometries in projected units (based on spatial reference system). For geography type defaults to return minimum geodesic distance between two geographies in meters.';
			
COMMENT ON FUNCTION ST_Distance(geography , geography , boolean ) IS 'args: gg1, gg2, use_spheroid - For geometry type returns the 2D Cartesian distance between two geometries in projected units (based on spatial reference system). For geography type defaults to return minimum geodesic distance between two geographies in meters.';
			
COMMENT ON FUNCTION ST_MinimumClearance(geometry ) IS 'args: g - Retorna a liquidação mínima de uma geometria, uma medida de uma robustez de uma geometria.';
			
COMMENT ON FUNCTION ST_MinimumClearanceLine(geometry ) IS 'args: g - Retorna a LineString de dois pontos abrangendo a liquidação mínima de uma geometria.';
			
COMMENT ON FUNCTION ST_HausdorffDistance(geometry , geometry ) IS 'args: g1, g2 - Retorna a distância Hausdorff entre duas geometrias. Basicamente, uma medida de quão parecidas ou diferentes 2 geometrias são. As unidades estão nas medidas do sistema de referência espacial das geometrias.';
			
COMMENT ON FUNCTION ST_HausdorffDistance(geometry , geometry , float) IS 'args: g1, g2, densifyFrac - Retorna a distância Hausdorff entre duas geometrias. Basicamente, uma medida de quão parecidas ou diferentes 2 geometrias são. As unidades estão nas medidas do sistema de referência espacial das geometrias.';
			
COMMENT ON FUNCTION ST_FrechetDistance(geometry , geometry , float) IS 'args: g1, g2, densifyFrac = -1 - Returns the Fréchet distance between two geometries. This is a measure of similarity between curves that takes into account the location and ordering of the points along the curves. Units are in the units of the spatial reference system of the geometries.';
			
COMMENT ON FUNCTION ST_MaxDistance(geometry , geometry ) IS 'args: g1, g2 - Retorna a maior distância 2-dimensional entre duas geometrias em unidades projetadas.';
			
COMMENT ON FUNCTION ST_DistanceSphere(geometry , geometry ) IS 'args: geomlonlatA, geomlonlatB - Retorna a distância mínima em metros entre duas geometrias long/lat. Usa uma terra esférica e raio derivado do esferoide definido pelo SRID. Mais rápido que a ST_DistanceSpheroid , mas menos preciso. As versões do PostGIS anteriores a 1.5 só implementavam para pontos.';
			
COMMENT ON FUNCTION ST_DistanceSpheroid(geometry , geometry , spheroid ) IS 'args: geomlonlatA, geomlonlatB, measurement_spheroid - Retorna a menor distância entre duas geometrias lon/lat dado um esferoide específico. As versões anteriores a 1.5 só suportam pontos.';
			
COMMENT ON FUNCTION ST_DFullyWithin(geometry , geometry , double precision ) IS 'args: g1, g2, distance - Retorna verdade se todas as geometrias estiverem dentro da distância especificada de um outro.';
			
COMMENT ON FUNCTION ST_DWithin(geometry , geometry , double precision ) IS 'args: g1, g2, distance_of_srid - Retorna verdade se as geometrias estiverem dentro da distância especificada de outra. Para geometria, as unidades estão na referência espacial e para geografia, elas estão em metros e a medição é use_spheroid=true (medida em volta do esferoide), para uma verificação mais rápida, use_spheroid=false para medir ao longo da esfera.';
			
COMMENT ON FUNCTION ST_DWithin(geography , geography , double precision ) IS 'args: gg1, gg2, distance_meters - Retorna verdade se as geometrias estiverem dentro da distância especificada de outra. Para geometria, as unidades estão na referência espacial e para geografia, elas estão em metros e a medição é use_spheroid=true (medida em volta do esferoide), para uma verificação mais rápida, use_spheroid=false para medir ao longo da esfera.';
			
COMMENT ON FUNCTION ST_DWithin(geography , geography , double precision , boolean ) IS 'args: gg1, gg2, distance_meters, use_spheroid - Retorna verdade se as geometrias estiverem dentro da distância especificada de outra. Para geometria, as unidades estão na referência espacial e para geografia, elas estão em metros e a medição é use_spheroid=true (medida em volta do esferoide), para uma verificação mais rápida, use_spheroid=false para medir ao longo da esfera.';
			
COMMENT ON FUNCTION ST_Equals(geometry , geometry ) IS 'args: A, B - Retorna verdade se as geometrias representam a mesma geometria. A direcionalidade é ignorada.';
			
COMMENT ON FUNCTION  ST_GeometricMedian ( geometry ,  float8 ,  int ,  boolean ) IS 'args:  g ,  tolerance ,  max_iter ,  fail_if_not_converged  - Retorna a mediana de um MultiPonto.';
			
COMMENT ON FUNCTION ST_HasArc(geometry ) IS 'args: geomA - Retorna verdade se uma geometria ou coleção de geometria contém uma string circular';
			
COMMENT ON FUNCTION ST_Intersects(geometry, geometry) IS 'args: geomA, geomB - Retorna VERDADE se as geometrias/geografia intersectam espacialmente em 2D" - (dividem qualquer porção de espaço) e FALSO se elas não (estão disjuntas). Para geografia -- a tolerância é de 0.00001 metros (então quaisquer pontos que estão mais perto estão intersectando)';
			
COMMENT ON FUNCTION ST_Intersects(geography, geography) IS 'args: geogA, geogB - Retorna VERDADE se as geometrias/geografia intersectam espacialmente em 2D" - (dividem qualquer porção de espaço) e FALSO se elas não (estão disjuntas). Para geografia -- a tolerância é de 0.00001 metros (então quaisquer pontos que estão mais perto estão intersectando)';
			
COMMENT ON FUNCTION ST_Length(geometry ) IS 'args: a_2dlinestring - Retorna o comprimento 2D da geometria se ela é uma LineString ou MultiLineString. A geometria está em unidades da referência espacial e geografia em metros (padrão esferoide)';
			
COMMENT ON FUNCTION ST_Length(geography , boolean ) IS 'args: geog, use_spheroid=true - Retorna o comprimento 2D da geometria se ela é uma LineString ou MultiLineString. A geometria está em unidades da referência espacial e geografia em metros (padrão esferoide)';
			
COMMENT ON FUNCTION ST_Length2D(geometry ) IS 'args: a_2dlinestring - Retorna o comprimento 2-dimensional da geometria se for uma linestring ou multi-linestring. Isto é um heterônimo para ST_Length';
			
COMMENT ON FUNCTION ST_3DLength(geometry ) IS 'args: a_3dlinestring - Retorna o comprimento 3-dimensional ou 2-dimensional da geometria se for uma linestring ou multi-linestring.';
			
COMMENT ON FUNCTION ST_LengthSpheroid(geometry , spheroid ) IS 'args: a_geometry, a_spheroid - Calcula o comprimento/perímetro 2D ou 3D de uma geometria em um elipsoide. É útil se as coordenadas da geometria estão em longitude/latitude e um comprimento é desejado sem reprojeção.';
			
COMMENT ON FUNCTION ST_Length2D_Spheroid(geometry , spheroid ) IS 'args: a_geometry, a_spheroid - Calcula o comprimento/perímetro 2D de uma geometria em um elipsoide. É útil se as coordenadas da geometria estão em longitude/latitude e um comprimento é desejado sem reprojeção.';
			
COMMENT ON FUNCTION ST_LongestLine(geometry , geometry ) IS 'args: g1, g2 - Retorna a linha de pontos 2-dimensional mais longa entre duas geometrias. A função só retornará a primeira linha, se existirem mais de uma que a função encontra. A linha retornada sempre começará em g1 e acabará em g2. O comprimento da linha essa função sempre será o mesmo da st_maxdistance retorna para g1 e g2.';
			
COMMENT ON FUNCTION ST_OrderingEquals(geometry , geometry ) IS 'args: A, B - Retorna verdade se as geometrias dadas representam a mesma geometrias e os pontos estão na mesma ordem direcional.';
			
COMMENT ON FUNCTION ST_Overlaps(geometry , geometry ) IS 'args: A, B - Retorna VERDADE se as geometrias dividem espaço, são da mesma dimensão, mas não estão completamente contidas uma pela outra.';
			
COMMENT ON FUNCTION ST_Perimeter(geometry ) IS 'args: g1 - Retorna o comprimento do limite de uma geometria ou geografia ST_Surface ou ST_MultiSurface. (Polígono, Multipolígono). A medição das unidades de geometria está na referência espacial e a da geografia em metros.';
			
COMMENT ON FUNCTION ST_Perimeter(geography , boolean ) IS 'args: geog, use_spheroid=true - Retorna o comprimento do limite de uma geometria ou geografia ST_Surface ou ST_MultiSurface. (Polígono, Multipolígono). A medição das unidades de geometria está na referência espacial e a da geografia em metros.';
			
COMMENT ON FUNCTION ST_Perimeter2D(geometry ) IS 'args: geomA - Retorna o perímetro 2-dimensional da geometria, se for um polígono ou multi-polígono. Isto é, no momento, um heterômio para ST_Perimeter.';
			
COMMENT ON FUNCTION ST_3DPerimeter(geometry ) IS 'args: geomA - Retorna o perímetro 3-dimensional da geometria, se for uma polígono ou multi-polígono.';
			
COMMENT ON FUNCTION ST_PointOnSurface(geometry ) IS 'args: g1 - Retorna um POINT garantido a ficar na superfície.';
			
COMMENT ON FUNCTION ST_Project(geography , float , float ) IS 'args: g1, distance, azimuth - Retorna um POINT projetado de um ponto inicial usando uma distância em metros e suportando (azimute) em radianos.';
			
COMMENT ON FUNCTION ST_Relate(geometry , geometry , text ) IS 'args: geomA, geomB, intersectionMatrixPattern - Retorna verdade se esta geometria estiver relacionada a outra geometria, testando interseções entre o interior, limite e exterior das duas geometrias como especificado pelos valores na intersectionMatrixPattern. Se nenhuma intersectionMatrixPattern passa, retorna a intersectionMatrixPattern máxima que relaciona as 2 geometrias.';
			
COMMENT ON FUNCTION ST_Relate(geometry , geometry ) IS 'args: geomA, geomB - Retorna verdade se esta geometria estiver relacionada a outra geometria, testando interseções entre o interior, limite e exterior das duas geometrias como especificado pelos valores na intersectionMatrixPattern. Se nenhuma intersectionMatrixPattern passa, retorna a intersectionMatrixPattern máxima que relaciona as 2 geometrias.';
			
COMMENT ON FUNCTION ST_Relate(geometry , geometry , integer ) IS 'args: geomA, geomB, BoundaryNodeRule - Retorna verdade se esta geometria estiver relacionada a outra geometria, testando interseções entre o interior, limite e exterior das duas geometrias como especificado pelos valores na intersectionMatrixPattern. Se nenhuma intersectionMatrixPattern passa, retorna a intersectionMatrixPattern máxima que relaciona as 2 geometrias.';
			
COMMENT ON FUNCTION ST_RelateMatch(text , text ) IS 'args: intersectionMatrix, intersectionMatrixPattern - Retorna verdade se intersectionMattrixPattern1 insinuar intersectionMattrixPattern2';
			
COMMENT ON FUNCTION ST_ShortestLine(geometry , geometry ) IS 'args: g1, g2 - Retorna a menor linha 2-dimensional entre duas geometrias';
			
COMMENT ON FUNCTION ST_Touches(geometry , geometry ) IS 'args: g1, g2 - Retorna TRUE se as geometrias têm pelo menos um ponto em comum, mas seus interiores não se intersectam.';
			
COMMENT ON FUNCTION ST_Within(geometry , geometry ) IS 'args: A, B - Retorna verdade se a geometria A estiver completamente dentro da geometria B';
			
COMMENT ON FUNCTION ST_Buffer(geometry , float ) IS 'args: g1, radius_of_buffer - (T) Retorna uma geometria cobrindo todos os pontos com a dada distância da geometria de entrada.';
			
COMMENT ON FUNCTION ST_Buffer(geometry , float , integer ) IS 'args: g1, radius_of_buffer, num_seg_quarter_circle - (T) Retorna uma geometria cobrindo todos os pontos com a dada distância da geometria de entrada.';
			
COMMENT ON FUNCTION ST_Buffer(geometry , float , text ) IS 'args: g1, radius_of_buffer, buffer_style_parameters - (T) Retorna uma geometria cobrindo todos os pontos com a dada distância da geometria de entrada.';
			
COMMENT ON FUNCTION ST_Buffer(geography , float ) IS 'args: g1, radius_of_buffer_in_meters - (T) Retorna uma geometria cobrindo todos os pontos com a dada distância da geometria de entrada.';
			
COMMENT ON FUNCTION ST_Buffer(geography , float , integer ) IS 'args: g1, radius_of_buffer, num_seg_quarter_circle - (T) Retorna uma geometria cobrindo todos os pontos com a dada distância da geometria de entrada.';
			
COMMENT ON FUNCTION ST_Buffer(geography , float , text ) IS 'args: g1, radius_of_buffer, buffer_style_parameters - (T) Retorna uma geometria cobrindo todos os pontos com a dada distância da geometria de entrada.';
			
COMMENT ON FUNCTION ST_BuildArea(geometry ) IS 'args: A - Cria uma geometria formada pela linwork constituinte da geometria';
			
COMMENT ON FUNCTION ST_ClipByBox2D(geometry, box2d) IS 'args: geom, box - Retorna a porção de uma geometria caindo dentro de um retângulo.';
			
COMMENT ON AGGREGATE ST_Collect(geometry) IS 'args: g1field - Retorna um valor ST_Geometry específico de uma coleção de outras geometrias.';
			
COMMENT ON FUNCTION ST_Collect(geometry, geometry) IS 'args: g1, g2 - Retorna um valor ST_Geometry específico de uma coleção de outras geometrias.';
			
COMMENT ON FUNCTION ST_Collect(geometry[]) IS 'args: g1_array - Retorna um valor ST_Geometry específico de uma coleção de outras geometrias.';
			
COMMENT ON FUNCTION ST_ConcaveHull(geometry , float , boolean ) IS 'args: geomA, target_percent, allow_holes=false - O casco côncavo de uma geometrias representa uma possível geometria côncava que envolve todas as geometrias dentro do conjunto. Você pode pensar nele como um encolhimento.';
			
COMMENT ON FUNCTION ST_ConvexHull(geometry ) IS 'args: geomA - O casco convexo de uma geometria representa a mínima geometria convexa que envolve todas as geometrias dentro do conjunto.';
			
COMMENT ON FUNCTION ST_OffsetCurve(geometry , float , text ) IS 'args: line, signed_distance, style_parameters='' - Converts a CIRCULARSTRING/CURVEPOLYGON/MULTISURFACE to a LINESTRING/POLYGON/MULTIPOLYGON';
			
COMMENT ON FUNCTION ST_DelaunayTriangles(geometry , float , int4 ) IS 'args: g1, tolerance, flags - Retorna uma triangulação de Delaunay em volta dos pontos de entrada.';
			
COMMENT ON FUNCTION ST_Difference(geometry , geometry ) IS 'args: geomA, geomB - Retorna uma geometria que representa aquela parte de geometria A que não intersecta com a geometria B.';
			
COMMENT ON FUNCTION ST_Dump(geometry ) IS 'args: g1 - Retorna um conjunto de filas geometry_dump (geom,path), que fazem uma geometria g1.';
			
COMMENT ON FUNCTION ST_DumpPoints(geometry ) IS 'args: geom - Retorna um conjunto de filas geometry_dump (geom,path) de todos os pontos que fazem uma geometria.';
			
COMMENT ON FUNCTION ST_DumpRings(geometry ) IS 'args: a_polygon - Retorna um conjunto de filas geometry_dump, representando os anéis interiores e exteriores de um polígono.';
			
COMMENT ON FUNCTION ST_FlipCoordinates(geometry) IS 'args: geom - Retorna uma versão da geometria dada com os eixos X e Y virados. Útil para pessoas que construíram características latitude/longitude e precisam consertá-las.';
			
COMMENT ON FUNCTION ST_GeneratePoints(geometry, numeric) IS 'args: g, npoints - Converte um polígono ou multi-polígono para um multi-ponto composto por pontos de localização aleatórios dentro das áreas originais.';
			
COMMENT ON FUNCTION ST_Intersection(geometry, geometry) IS 'args: geomA, geomB - (T) Retorna uma geometria que representa a porção dividida da geomA e geomB.';
			
COMMENT ON FUNCTION ST_Intersection(geography, geography) IS 'args: geogA, geogB - (T) Retorna uma geometria que representa a porção dividida da geomA e geomB.';
			
COMMENT ON FUNCTION ST_LineToCurve(geometry ) IS 'args: geomANoncircular - Converte uma LINESTRING/POLYGON para um CIRCULARSTRING, CURVEPOLYGON';
			
COMMENT ON FUNCTION ST_MakeValid(geometry) IS 'args: input - Tenta tornar uma geometria inválida válida sem perder vértices.';
			
COMMENT ON AGGREGATE ST_MemUnion(geometry) IS 'args: geomfield - O mesmo que ST_Union, somente memória amigável (utiliza menos memória e mais tempo de processador).';
			
COMMENT ON FUNCTION ST_MinimumBoundingCircle(geometry , integer ) IS 'args: geomA, num_segs_per_qt_circ=48 - Retorna o menor polígono circular que pode conter uma geometria. O padrão usa 48 segmentos por quarto de círculo.';
			
COMMENT ON FUNCTION ST_MinimumBoundingRadius(geometry) IS 'args: geom - Retorna o ponto central e o alcance do menor círculo que pode conter uma geometria.';
			
COMMENT ON FUNCTION ST_Node(geometry ) IS 'args: geom - Retorna uma coleção de geometrias resultante da divisão de uma geometria.';
			
COMMENT ON AGGREGATE ST_Polygonize(geometry) IS 'args: geomfield - Agregado. Cria uma GeometryCollection contendo possíveis polígonos formados a partir da linework constituinte de um conjunto de geometrias.';
			
COMMENT ON FUNCTION ST_Polygonize(geometry[]) IS 'args: geom_array - Agregado. Cria uma GeometryCollection contendo possíveis polígonos formados a partir da linework constituinte de um conjunto de geometrias.';
			
COMMENT ON FUNCTION ST_Node(geometry ) IS 'args: geom - Nodar um conjunto de linestrings.';
			
COMMENT ON FUNCTION ST_OffsetCurve(geometry , float , text ) IS 'args: line, signed_distance, style_parameters='' - Retorna uma linha deslocada em uma dada distância e lado de uma linha de entrada. Útil para calcular linhas paralelas sobre uma linha central';
			
COMMENT ON FUNCTION ST_RemoveRepeatedPoints(geometry, float8) IS 'args: geom, tolerance - Retorna uma versão da geometria dada com pontos removidos duplicados.';
			
COMMENT ON FUNCTION ST_SharedPaths(geometry, geometry) IS 'args: lineal1, lineal2 - Retorna uma coleção contendo caminhos compartilhados pelas duas linestrings/multilinestrings de entrada.';
			
COMMENT ON FUNCTION ST_ShiftLongitude(geometry ) IS 'args: geomA - Coordenadas de geometria fechada entre -180...180 e 0...360 extensões.';
			
COMMENT ON FUNCTION ST_WrapX(geometry , float8 , float8 ) IS 'args: geom, wrap, move - Envolve uma geometria em torno de um valor X.';
			
COMMENT ON FUNCTION ST_Simplify(geometry, float, boolean) IS 'args: geomA, tolerance, preserveCollapsed - Retorna uma versão "simplificada" da geometria usando o algorítimo Douglas-Peucker.';
			
COMMENT ON FUNCTION ST_SimplifyPreserveTopology(geometry, float) IS 'args: geomA, tolerance - Retorna uma versão "simplificada" da geometria dada usando o algorítimo Douglas-Peucker. Evitará a criação de geometrias derivadas (polígonos, em particular) que sejam inválidas.';
			
COMMENT ON FUNCTION ST_SimplifyVW(geometry, float) IS 'args: geomA, tolerance - Retorna uma versão "simplificada" da geometria usando o algorítimo Visvalingam-Whyatt.';
			
COMMENT ON FUNCTION ST_ChaikinSmoothing(geometry, integer, boolean) IS 'args: geom, nIterations = 1, preserveEndPoints = false - Retorna uma versão "simplificada" da geometria usando o algorítimo Visvalingam-Whyatt.';
			
COMMENT ON FUNCTION ST_Simplify(geometry, float, boolean) IS 'args: geomA, tolerance, preserveCollapsed - Filters vertex points based on their m-value';
			
COMMENT ON FUNCTION ST_SetEffectiveArea(geometry, float, integer) IS 'args: geomA, threshold = 0, set_area = 1 - Define a área eficaz para cada vértice, armazenando o valor na ordenada M. Uma geometria simplificada pode ser gerada por filtração da ordenada M.';
			
COMMENT ON FUNCTION ST_Split(geometry, geometry) IS 'args: input, blade - Retorna uma coleção de geometrias resultante da divisão de uma geometria.';
			
COMMENT ON FUNCTION ST_SymDifference(geometry , geometry ) IS 'args: geomA, geomB - Retorna uma geometria que representa as porções de A e B que não intersectam. É chamado de diferença simétrica, porque ST_SymDifference(A,B) = ST_SymDifference(B,A).';
			
COMMENT ON FUNCTION ST_Subdivide(geometry, integer) IS 'args: geom, max_vertices=256 - Retorna um conjunto de geometrias, no qual nenhuma geometria no conjunto tem mais vértices que o número especificado.';
			
COMMENT ON FUNCTION ST_SwapOrdinates(geometry, cstring) IS 'args: geom, ords - Retorna uma versão da geometria dada com os valores ordenados dados trocados.';
			
COMMENT ON AGGREGATE ST_Union(geometry) IS 'args: g1field - Retorna uma geometria que representa a união de pontos das Geometrias.';
			
COMMENT ON FUNCTION ST_Union(geometry, geometry) IS 'args: g1, g2 - Retorna uma geometria que representa a união de pontos das Geometrias.';
			
COMMENT ON FUNCTION ST_Union(geometry[]) IS 'args: g1_array - Retorna uma geometria que representa a união de pontos das Geometrias.';
			
COMMENT ON FUNCTION ST_UnaryUnion(geometry ) IS 'args: geom - Parecido com ST_Union, mas funcionando no nível do componente da geometria.';
			
COMMENT ON FUNCTION ST_Voronoi(geometry, geometry, float8, boolean) IS 'args: g1, clip, tolerance, return_polygons - Calcula um diagrama de Voronoi dos vértices de uma geometria.';
			
COMMENT ON FUNCTION ST_Voronoi(geometry, geometry, float8, boolean) IS 'args: g1, clip, tolerance, return_polygons - Calcula um diagrama de Voronoi dos vértices de uma geometria.';
			
COMMENT ON FUNCTION ST_LineInterpolatePoint(geometria , float8 ) IS 'args: a_linestring, a_fraction - Retorna um ponto interpolar ao longo de uma linha. Segundo argumento é um float8 entre 0 e 1 representando fração do comprimento total da linestring do ponto tem que ser localizado.';
			
COMMENT ON FUNCTION ST_LineInterpolatePoints(geometry , float8 , boolean ) IS 'args: a_linestring, a_fraction, repeat - Returns one or more points interpolated along a line.';
			
COMMENT ON FUNCTION ST_LineLocatePoint(geometria , geometria ) IS 'args: a_linestring, a_point - Retorna um flutuador entre 0 e 1 representando a localização do ponto mai próximo na linestring do ponto dado, como uma fração de uma linha de comprimento 2d total.';
			
COMMENT ON FUNCTION ST_LineSubstring(geometria , float8 , float8 ) IS 'args: a_linestring, startfraction, endfraction - Retorna uma linestring sendo uma substring da de entrada começando e finalizando nas frações dadas do total 2d de comprimento. Segundo e terceiro argumentos são valores float8 entre 0 e 1.';
			
COMMENT ON FUNCTION ST_LocateAlong(geometria , float8 , float8 ) IS 'args: ageom_with_measure, a_measure, offset - Retorna um valor de coleção de geometria derivado com elementos que combinam com a medida específica. Elementos polígonos não são suportados.';
			
COMMENT ON FUNCTION ST_LocateBetween(geometria , float8 , float8 , float8 ) IS 'args: geomA, measure_start, measure_end, offset - Return a derived geometry collection value with elements that match the specified range of measures inclusively. Polygonal elements are not supported.';
			
COMMENT ON FUNCTION ST_LocateBetweenElevations(geometria , float8 , float8 ) IS 'args: geom_mline, elevation_start, elevation_end - Retorna um valor de geometria derivada (coleção) com elementos que inserem a variação específica de elevações. Apenas 3D, 4D LINESTRINGS e MULTILINESTRINGS são suportadas.';
			
COMMENT ON FUNCTION ST_InterpolatePoint(geometria , geometry ) IS 'args: line, ponto - Retorna o valor da dimensão de medida da geometria no ponto fechado para o ponto fornecido.';
			
COMMENT ON FUNCTION ST_AddMeasure(geometria , float8 , float8 ) IS 'args: geom_mline, measure_start, measure_end - Retorna uma geometria derivada com elementos de medida interpolados linearmente entre os pontos de início e de fim.';
			
COMMENT ON FUNCTION ST_IsValidTrajectory(geometry ) IS 'args: line - Retorna true se a geometria possui uma trajetória válida.';
			
COMMENT ON FUNCTION ST_ClosestPointOfApproach(geometry , geometry ) IS 'args: track1, track2 - Retorna a medida em que pontos interpolados na linha são mais próximos.';
			
COMMENT ON FUNCTION ST_DistanceCPA(geometry , geometry ) IS 'args: track1, track2 - Retorna a distância entre os pontos mais próximos de uma aproximação em duas trajetórias.';
			
COMMENT ON FUNCTION ST_CPAWithin(geometry , geometry , float8 ) IS 'args: track1, track2, maxdist - Retorna verdadeiro se os pontos mais próximos da trajetória estão até a distância especificada.';
			
COMMENT ON FUNCTION AddAuth(text ) IS 'args: auth_token - Adiciona um token de autorização para ser usado em transação atual.';
			
COMMENT ON FUNCTION CheckAuth(text , text , text ) IS 'args: a_schema_name, a_table_name, a_key_column_name - Cria trigger em uma table para prevenir/permitir atualizações e exclusões de filas baseado em token de autorização.';
			
COMMENT ON FUNCTION CheckAuth(text , text ) IS 'args: a_table_name, a_key_column_name - Cria trigger em uma table para prevenir/permitir atualizações e exclusões de filas baseado em token de autorização.';
			
COMMENT ON FUNCTION DisableLongTransactions() IS 'Desativa suporte de transações longas. Essa função remove as tables de metadados ad transação longa e derruba todos os triggers anexados às tables lock-checked.';
			
COMMENT ON FUNCTION EnableLongTransactions() IS 'Ativa o suporte de longas transações. Essa função cria as tables de metadados que são requeridas, precisa ser chamada uma vez antes de usar outras funções nessa seção. Chamá-la duas vezes não tem problema.';
			
COMMENT ON FUNCTION LockRow(text , text , text , text, timestamp) IS 'args: a_schema_name, a_table_name, a_row_key, an_auth_token, expire_dt - Configurar fechamento/autorização para uma fileira específica na table';
			
COMMENT ON FUNCTION LockRow(text , text , text, timestamp) IS 'args: a_table_name, a_row_key, an_auth_token, expire_dt - Configurar fechamento/autorização para uma fileira específica na table';
			
COMMENT ON FUNCTION LockRow(text , text , text) IS 'args: a_table_name, a_row_key, an_auth_token - Configurar fechamento/autorização para uma fileira específica na table';
			
COMMENT ON FUNCTION UnlockRows(text ) IS 'args: auth_token - Remove todos os fechamentos armazenados por id de autorização específica Retorna o número de fechamentos liberados.';
			
COMMENT ON AGGREGATE ST_Accum(geometry) IS 'args: geomfield - Agregado. Constrói um banco de dados de geometrias.';
			
COMMENT ON FUNCTION Box2D(geometry ) IS 'args: geomA - Retorna uma CAIXA2D representando a extensão máxima da geometria.';
			
COMMENT ON FUNCTION Box3D(geometry ) IS 'args: geomA - Retorna uma CAIXA3D representando a extensão máxima da geometria.';
			
COMMENT ON FUNCTION ST_EstimatedExtent(text , text , text , boolean ) IS 'args: schema_name, table_name, geocolumn_name, parent_ony - Retorna a extensão "estimada" da table espacial dada. O estimada é tirado das estatísticas da coluna geométrica. O esquema atual será usado se não especificado.';
			
COMMENT ON FUNCTION ST_EstimatedExtent(text , text , text ) IS 'args: schema_name, table_name, geocolumn_name - Retorna a extensão "estimada" da table espacial dada. O estimada é tirado das estatísticas da coluna geométrica. O esquema atual será usado se não especificado.';
			
COMMENT ON FUNCTION ST_EstimatedExtent(text , text ) IS 'args: table_name, geocolumn_name - Retorna a extensão "estimada" da table espacial dada. O estimada é tirado das estatísticas da coluna geométrica. O esquema atual será usado se não especificado.';
			
COMMENT ON FUNCTION ST_Expand(geometry , float) IS 'args: geom, units_to_expand - A caixa limitadora retorna expandida em todas as direções da caixa da geometria de entrada. Utiliza precisão dobrada';
			
COMMENT ON FUNCTION ST_Expand(geometry , float, float, float, float) IS 'args: geom, dx, dy, dz=0, dm=0 - A caixa limitadora retorna expandida em todas as direções da caixa da geometria de entrada. Utiliza precisão dobrada';
			
COMMENT ON FUNCTION ST_Expand(box2d , float) IS 'args: box, units_to_expand - A caixa limitadora retorna expandida em todas as direções da caixa da geometria de entrada. Utiliza precisão dobrada';
			
COMMENT ON FUNCTION ST_Expand(box2d , float, float) IS 'args: box, dx, dy - A caixa limitadora retorna expandida em todas as direções da caixa da geometria de entrada. Utiliza precisão dobrada';
			
COMMENT ON FUNCTION ST_Expand(box3d , float) IS 'args: box, units_to_expand - A caixa limitadora retorna expandida em todas as direções da caixa da geometria de entrada. Utiliza precisão dobrada';
			
COMMENT ON FUNCTION ST_Expand(box3d , float, float, float) IS 'args: box, dx, dy, dz=0 - A caixa limitadora retorna expandida em todas as direções da caixa da geometria de entrada. Utiliza precisão dobrada';
			
COMMENT ON AGGREGATE ST_Extent(geometry) IS 'args: geomfield - uma função agregada que retorna a caixa limitadora que estabelece linhas de geometrias.';
			
COMMENT ON AGGREGATE ST_3DExtent(geometry) IS 'args: geomfield - uma função agregada que retorna a caixa3D que estabelece linhas de geometria.';
			
COMMENT ON FUNCTION Find_SRID(varchar , varchar , varchar ) IS 'args: a_schema_name, a_table_name, a_geomfield_name - A sintaxe é find_srid(a_db_schema, a_table, a_column) e a função retorna o SRID inteiro das colunas especificadas buscando através da table GEOMETRY_COLUMNS.';
			
COMMENT ON FUNCTION ST_MemSize(geometry ) IS 'args: geomA - Retorna a quantidade de espaço (em bytes) que a geometria pega.';
			
COMMENT ON FUNCTION ST_PointInsideCircle(geometry , float , float , float ) IS 'args: a_point, center_x, center_y, radius - Is the point geometry inside the circle defined by center_x, center_y, radius';
			
COMMENT ON FUNCTION PostGIS_AddBBox(geometry ) IS 'args: geomA - Adicionar o retângulo envolvente a geometria.';
			
COMMENT ON FUNCTION PostGIS_DropBBox(geometry ) IS 'args: geomA - Exclui o cache de retângulos envolventes da geometria.';
			
COMMENT ON FUNCTION PostGIS_HasBBox(geometry ) IS 'args: geomA - Retorna verdadeiro se o retângulo desta geometria está cacheado. FALSO caso contrário.';
			